Skip to content

Get Product

GET
/api/Products/{id}
curl --request GET \
--url https://example.com/api/Products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Returns full detail for a single product, including all plans and the count of active subscribers.

id
required
string format: uuid

The product’s unique identifier.

Product detail.

Media type application/json
object
id
string format: uuid
merchantId
string format: uuid
name
string
nullable
description
string
nullable
status
string
Allowed values: Active Seasonal Archived
iconBg
string
nullable
iconHoverBorder
string
nullable
subscriberIcon
string
Allowed values: Users ShoppingCart
subscriberCount
integer format: int32
plans
Array<object>
nullable
object
id
string format: uuid
name
string
nullable
description
string
nullable
price
number format: double
frequency
string
Allowed values: OneOff Daily Weekly Fortnightly Monthly Quarterly Yearly
isActive
boolean
isPublic
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
Example
{
"status": "Active",
"subscriberIcon": "Users",
"plans": [
{
"frequency": "OneOff"
}
]
}

No product with the given ID exists.

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}